Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.processor
Class XSLTElementProcessor

    java.lang.Object
      |
      +--org.apache.xalan.processor.XSLTElementProcessor

Direct Known Subclasses:
  ProcessorCharacters, ProcessorStylesheetDoc, ProcessorTemplateElem

public class XSLTElementProcessor
extends java.lang.Object

This class acts as the superclass for all stylesheet element processors, and deals with things that are common to all elements.

See Also:
  XSLT DTD

Method Summary
`void` | `characters(StylesheetHandler handler, char[] ch, int start, int length)` Receive notification of character data inside an element.
`void` | `endElement(StylesheetHandler handler, java.lang.String uri, java.lang.String localName, java.lang.String rawName)` Receive notification of the end of an element.
`void` | `ignorableWhitespace(StylesheetHandler handler, char[] ch, int start, int length)` Receive notification of ignorable whitespace in element content.
`void` | `notationDecl(StylesheetHandler handler, java.lang.String name, java.lang.String publicId, java.lang.String systemId)` Receive notification of a notation declaration.
`void` | `processingInstruction(StylesheetHandler handler, java.lang.String target, java.lang.String data)` Receive notification of a processing instruction.
`InputSource` | `resolveEntity(StylesheetHandler handler, java.lang.String publicId, java.lang.String systemId)` Resolve an external entity.
`void` | `skippedEntity(StylesheetHandler handler, java.lang.String name)` Receive notification of a skipped entity.
`void` | `startElement(StylesheetHandler handler, java.lang.String uri, java.lang.String localName, java.lang.String rawName, Attributes attributes)` Receive notification of the start of an element.
`void` | `startNonText(StylesheetHandler handler)` Receive notification of the start of the non-text event.
`void` | `unparsedEntityDecl(StylesheetHandler handler, java.lang.String name, java.lang.String publicId, java.lang.String systemId, java.lang.String notationName)` Receive notification of an unparsed entity declaration.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### resolveEntity

    public InputSource resolveEntity(StylesheetHandler handler,
                                     java.lang.String publicId,
                                     java.lang.String systemId)
                              throws SAXException

  Resolve an external entity.
  Parameters:
    `publicId` - The public identifer, or null if none is available.
    `systemId` - The system identifier provided in the XML document.
  Returns:
    The new input source, or null to require the default behaviour.
  Throws:
    SAXException - Any SAX exception, possibly wrapping another exception.
  See Also:
    `EntityResolver.resolveEntity(java.lang.String, java.lang.String)`

### notationDecl

    public void notationDecl(StylesheetHandler handler,
                             java.lang.String name,
                             java.lang.String publicId,
                             java.lang.String systemId)

  Receive notification of a notation declaration.
  Parameters:
    `name` - The notation name.
    `publicId` - The notation public identifier, or null if not available.
    `systemId` - The notation system identifier.
  See Also:
    `DTDHandler.notationDecl(java.lang.String, java.lang.String, java.lang.String)`

### unparsedEntityDecl

    public void unparsedEntityDecl(StylesheetHandler handler,
                                   java.lang.String name,
                                   java.lang.String publicId,
                                   java.lang.String systemId,
                                   java.lang.String notationName)

  Receive notification of an unparsed entity declaration.
  Parameters:
    `name` - The entity name.
    `publicId` - The entity public identifier, or null if not available.
    `systemId` - The entity system identifier.
    `notationName` - The name of the associated notation.
  See Also:
    `DTDHandler.unparsedEntityDecl(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

### startNonText

    public void startNonText(StylesheetHandler handler)
                      throws SAXException

  Receive notification of the start of the non-text event. This is sent to the current processor when any non-text event occurs.

### startElement

    public void startElement(StylesheetHandler handler,
                             java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String rawName,
                             Attributes attributes)
                      throws SAXException

  Receive notification of the start of an element.
  Parameters:
    `name` - The element type name.
    `attributes` - The specified or defaulted attributes.
  Throws:
    SAXException - Any SAX exception, possibly wrapping another exception.
  See Also:
    `ContentHandler.startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes)`

### endElement

    public void endElement(StylesheetHandler handler,
                           java.lang.String uri,
                           java.lang.String localName,
                           java.lang.String rawName)
                    throws SAXException

  Receive notification of the end of an element.
  Parameters:
    `name` - The element type name.
    `attributes` - The specified or defaulted attributes.
  Throws:
    SAXException - Any SAX exception, possibly wrapping another exception.
  See Also:
    `ContentHandler.endElement(java.lang.String, java.lang.String, java.lang.String)`

### characters

    public void characters(StylesheetHandler handler,
                           char[] ch,
                           int start,
                           int length)
                    throws SAXException

  Receive notification of character data inside an element.
  Parameters:
    `ch` - The characters.
    `start` - The start position in the character array.
    `length` - The number of characters to use from the character array.
  Throws:
    SAXException - Any SAX exception, possibly wrapping another exception.
  See Also:
    `ContentHandler.characters(char[], int, int)`

### ignorableWhitespace

    public void ignorableWhitespace(StylesheetHandler handler,
                                    char[] ch,
                                    int start,
                                    int length)
                             throws SAXException

  Receive notification of ignorable whitespace in element content.
  Parameters:
    `ch` - The whitespace characters.
    `start` - The start position in the character array.
    `length` - The number of characters to use from the character array.
  Throws:
    SAXException - Any SAX exception, possibly wrapping another exception.
  See Also:
    `ContentHandler.ignorableWhitespace(char[], int, int)`

### processingInstruction

    public void processingInstruction(StylesheetHandler handler,
                                      java.lang.String target,
                                      java.lang.String data)
                               throws SAXException

  Receive notification of a processing instruction.
  Parameters:
    `target` - The processing instruction target.
    `data` - The processing instruction data, or null if none is supplied.
  Throws:
    SAXException - Any SAX exception, possibly wrapping another exception.
  See Also:
    `ContentHandler.processingInstruction(java.lang.String, java.lang.String)`

### skippedEntity

    public void skippedEntity(StylesheetHandler handler,
                              java.lang.String name)
                       throws SAXException

  Receive notification of a skipped entity.
  Parameters:
    `name` - The name of the skipped entity.
  Throws:
    SAXException - Any SAX exception, possibly wrapping another exception.
  See Also:
    `ContentHandler.processingInstruction(java.lang.String, java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.